# H225_AddressPattern_range Class Reference

`#include <h225.h>`

Inheritance diagram for H225_AddressPattern_range:

List of all members.

## Public Member Functions

| H225_AddressPattern_range (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_PartyNumber | m_startOfRange
H225_PartyNumber | m_endOfRange

## Constructor & Destructor Documentation

H225_AddressPattern_range::H225_AddressPattern_range | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_AddressPattern_range::GetDataLength | ( |  | ) | const

PBoolean H225_AddressPattern_range::Decode | ( | PASN_Stream & | strm | ) |

void H225_AddressPattern_range::Encode | ( | PASN_Stream & | strm | ) | const

void H225_AddressPattern_range::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_AddressPattern_range::Compare | ( | const PObject & | obj | ) | const

PObject* H225_AddressPattern_range::Clone | ( |  | ) | const

## Member Data Documentation

H225_PartyNumber H225_AddressPattern_range::m_startOfRange

H225_PartyNumber H225_AddressPattern_range::m_endOfRange

The documentation for this class was generated from the following file:

- h225.h